%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-collections
Version:    1.2.4
Release:    2%{?dist}
Summary:    Data structures with idiomatic JavaScript collection interfaces
# shim-array.js and shim-object.js are forked from Motorola Mobility's Montage,
# which is licensed under the 3-Clause BSD License.
License:    MIT and BSD
Group:      System Environment/Libraries
URL:        https://github.com/montagejs/collections
Source0:    http://registry.npmjs.org/collections/-/collections-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:    spec-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(jasmine-node)
BuildRequires:  npm(weak-map)
%endif

%description
This package contains JavaScript implementations of common data structures
with idiomatic interfaces, including extensions for Array and Object.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package

%nodejs_fixdep weak-map '~1.0'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/collections
cp -pr package.json *.js listen/ \
    %{buildroot}%{nodejs_sitelib}/collections

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{nodejs_sitelib}/jasmine-node/bin/jasmine-node spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGES.md FUTURE.md
%license LICENSE.md
%{nodejs_sitelib}/collections


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 25 2016 Jared Smith <jsmith@fedoraproject.org> - 1.2.4-1
- Update to upstream 1.2.4 release to fix FTBFS

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Nov 03 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.2-1
- update to upstream release 1.0.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.21-2
- fix compatible arches for f18/el6

* Fri Jul 05 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.21-1
- update to upstream release 0.2.21

* Fri Jul 05 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.20-3
- restrict to compatible arches

* Sun Jun 16 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.20-2
- fix URL
- include copy of Montage BSD license

* Sun May 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.20-1
- update to upstream release 0.1.20
- test suite files have been removed from the npm tarball so pull from
  the revision control repository instead

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.14-1
- initial package
